Bug 1443040 - seabios can't recognize usb 3.0 loader at boot menu
Summary: seabios can't recognize usb 3.0 loader at boot menu
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev   
(Show other bugs)
Version: 7.4
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: FuXiangChun
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-18 11:08 UTC by Sitong Liu
Modified: 2017-08-02 04:35 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-rhev-2.9.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 04:35:59 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2392 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2017-08-01 20:04:36 UTC
Red Hat Bugzilla 1430664 None None None Never

Internal Trackers: 1430664

Description Sitong Liu 2017-04-18 11:08:36 UTC
Description of problem:
Boot RHEL7.4 guest with the seabios-1.10.2-2.el7.x86_64 & seabios-1.9.1-5.el7.x86_64, nec-usb-xhci can't be recognized at boot menu neither. While
the usb2.0 device (usb-ehci) can work well.

Version-Release number of selected component (if applicable):
seabios-1.10.2-2.el7.x86_64 & 1.9.1-5.el7.x86_64
qemu-kvm-rhev-2.9.0-0.el7.mrezanin201703210848.x86_64
3.10.0-648.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. /usr/libexec/qemu-kvm -name seabios-test -enable-kvm -m 4G -cpu SandyBridge  -smp 4,cores=4,threads=1,sockets=1,maxcpus=4 -nodefconfig \
-nodefaults -chardev socket,id=charmonitor,path=/tmp/126NICW10S64SOB,server,nowait \
-mon chardev=charmonitor,id=monitor,mode=control \
-rtc base=localtime,driftfix=slew -boot order=ncd,menu=on \
-bios /usr/share/seabios/bios.bin \
-vga std \
-vnc :2 \
-qmp tcp:0:6667,server,nowait \
-chardev file,path=/home/bug/seabios1.log,id=seabios1 \
-drive file=/home/rhel74-64-virto-bk.qcow2,format=qcow2,if=none,id=drive-usb-0-1,media=disk,format=qcow2,cache=none,aio=native \
-device nec-usb-xhci,id=xhci \
-device usb-storage,bus=xhci.0,drive=drive-usb-0-1,id=usb-0-1,removable=on,bootindex=1 -boot menu=on \
-device virtio-net-pci,netdev=tap10,mac=24:be:05:0c:6d:6e,disable-legacy=on,disable-modern=off \
-netdev tap,id=tap10 -monitor stdio\

2.
3.

Actual results:
usb device can't show on boot menu

Expected results:
usb device can show on boot menu

Additional info:

Comment 2 Laszlo Ersek 2017-04-24 11:32:43 UTC
I'm not sure why I was set as Assignee for this bug, but I guess it's good enough for giving the bug some traction... I assume the high priority means it is a test blocker or such?

This bug looks similar to bug 1430664. There Gerd asked for a retest, on top of QEMU 2.9 (rebase).

Now, this BZ (i.e., bug 1443040) is indeed reported for such a rebase (qemu-kvm-rhev-2.9.0-0.el7.mrezanin201703210848.x86_64).

Gerd, are you aware of any (nec-usb-xhci, usb-storage) boot issues with upstream QEMU and SeaBIOS? Thanks.

Comment 3 Laszlo Ersek 2017-04-24 11:33:39 UTC
Sigh, mistyped bug 1430664 in the "Fixed In Version" field. I meant "See Also". Correcting it.

Comment 4 Gerd Hoffmann 2017-04-24 12:22:58 UTC
Pleare retest against the final rebase build (available meanwhile in brew: qemu-kvm-rhev-2.9.0-1.el7).

Comment 5 Sitong Liu 2017-04-25 03:35:14 UTC
(In reply to Gerd Hoffmann from comment #4)
> Pleare retest against the final rebase build (available meanwhile in brew:
> qemu-kvm-rhev-2.9.0-1.el7)

Retest it. (with qemu-kvm-rhev-2.9.0-1.el7 & seabios-1.10.2-2.el7.x86_64)

It works well when "bios-256k.bin" is set or "-M pc/pc-i440fx-rhel7.4.0/..." is set. The default setting uses "bios-256k.bin".

While it din not work when "bios.bin" or "-M rhel6.6.0/rhel6.5.0/..." is set.

Comment 6 Gerd Hoffmann 2017-04-25 05:31:44 UTC
> It works well when "bios-256k.bin" is set or "-M pc/pc-i440fx-rhel7.4.0/..."
> is set. The default setting uses "bios-256k.bin".

Good.  Moving to POST (or should I go straight to MODIFIED if we have a RHEL build already?).

> While it din not work when "bios.bin" or "-M rhel6.6.0/rhel6.5.0/..." is set.

That is expected.  The bios.bin for rhel-6 machine types has several features turned off to make it fit into 128k.  And one of them is xhci support.  We don't need that there because rhel-6 qemu-kvm has no xhci emulation.

Comment 9 Miroslav Rezanina 2017-05-03 03:20:39 UTC
Hi Gerd, 

this BZ is in seabios component but Fixed in field says qemu-kvm-rhev. One of the field needs to be modified - either move BZ to qemu-kvm-rhev component in case it's the place where the issue is fixed or change Fixed-in field to proper seabios version.

I'll add BZ to proper errata after this conflict is resolved.

Thanks

Comment 12 FuXiangChun 2017-05-18 06:19:02 UTC
verified bug with qemu-kvm-rhev-2.9.0-5.el7.x86_64 & seabios-1.10.2-3.el7.x86_64.

without /usr/share/seabios/bios-256k.bin in qemu command.

seabios and guest work well.


with /usr/share/seabios/bios-256k.bin in qemu command

seabios and guest work well


only do smoke testing for this bug. no found any problems. set this bug as verified.

Comment 14 errata-xmlrpc 2017-08-02 04:35:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2392


Note You need to log in before you can comment on or make changes to this bug.